# $Revision: 1.57 $, $Date: 2010/11/11 12:24:25 $
Summary:	Genealogical Research and Analysis Management Programming System
Summary(pl.UTF-8):	System programowania do zarządzania badaniami i analizą genealogiczną
Name:		gramps
Version:	3.2.4
Release:	1
License:	GPL v2
Group:		Applications/Science
Source0:	http://downloads.sourceforge.net/gramps/%{name}-%{version}.tar.gz
# Source0-md5:	b04a078ca9986ff7a3027676df93c30f
Patch0:		%{name}-icon_path.patch
URL:		http://gramps-project.org/
BuildRequires:	GConf2-devel
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	gettext-devel
BuildRequires:	gnome-doc-utils
BuildRequires:	gtk+2-devel >= 2:2.8.0
BuildRequires:	intltool
BuildRequires:	pkgconfig
BuildRequires:	python >= 1:2.5
BuildRequires:	python-gnome-devel >= 2.6.0
BuildRequires:	python-pygtk-devel >= 2:2.10.0
BuildRequires:	rpmbuild(macros) >= 1.197
BuildRequires:	scrollkeeper >= 0.3.5
%pyrequires_eq  python-modules
Requires(post,postun):	desktop-file-utils
Requires(post,postun):	scrollkeeper
Requires(post,preun):	GConf2
Requires:	hicolor-icon-theme
Requires:	python-gnome-ui >= 2.12.2-2
Suggests:	graphviz
Suggests:	python-ReportLab
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
gramps (Genealogical Research and Analysis Management Programming
System) is a GNOME based genealogy program supporting a Python based
plugin system.

%description -l pl.UTF-8
gramps (Genealogical Research and Analysis Management Programming
System - system programowania do zarządzania badaniami i analizą
genealogiczną) to oparty na GNOME program do genealogii obsługujący
system wtyczek w Pythonie.

%prep
%setup -q
%patch0 -p1

sed -i -e 's|gramps.py|gramps.pyc|' gramps.sh.in
cp %{_datadir}/gnome-doc-utils/gnome-doc-utils.make .

%build
%{__intltoolize}
%{__aclocal}
%{__automake}
%{__autoconf}
%configure \
	--disable-schemas-install \
	--disable-mime-install \
	--disable-scrollkeeper
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} -j1 install \
	DESTDIR=$RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{_pixmapsdir}
install src/images/gramps.png $RPM_BUILD_ROOT%{_pixmapsdir}
rm -rf $RPM_BUILD_ROOT%{_datadir}/mime-info
rm -rf $RPM_BUILD_ROOT%{_datadir}/application-registry
rm -rf $RPM_BUILD_ROOT%{_datadir}/gramps/COPYING

%find_lang gramps --with-gnome

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_desktop_database_post
%scrollkeeper_update_post

%postun
%update_desktop_database_postun
%scrollkeeper_update_postun

%files -f gramps.lang
%defattr(644,root,root,755)
%doc AUTHORS FAQ NEWS README TODO
%attr(755,root,root) %{_bindir}/gramps

%dir %{_datadir}/gramps
%{_datadir}/gramps/*.py*
%{_datadir}/gramps/DateHandler
%{_datadir}/gramps/Filters
%{_datadir}/gramps/GrampsLocale
%{_datadir}/gramps/GrampsLogger
%{_datadir}/gramps/Merge
%{_datadir}/gramps/PluginUtils
%{_datadir}/gramps/ReportBase
%{_datadir}/gramps/Simple
%{_datadir}/gramps/cli
%{_datadir}/gramps/data
%{_datadir}/gramps/docgen
%{_datadir}/gramps/example
%{_datadir}/gramps/gen
%{_datadir}/gramps/glade
%{_datadir}/gramps/gui
%{_datadir}/gramps/images
%{_datadir}/gramps/mapstraction
%{_datadir}/gramps/plugins

%{_desktopdir}/*.desktop
%{_iconsdir}/hicolor/*/mimetypes/*
%{_pixmapsdir}/gramps.png

%{_datadir}/mime/packages/gramps.xml

%{_mandir}/man1/*
%lang(fr) %{_mandir}/fr/man1/*
%lang(nl) %{_mandir}/nl/man1/*
%lang(pl) %{_mandir}/pl/man1/*
%lang(sv) %{_mandir}/sv/man1/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: gramps.spec,v $
Revision 1.57  2010/11/11 12:24:25  adamg
- updated to 3.2.4

Revision 1.56  2010/07/15 23:28:40  krystian
- updated to 3.2.3

Revision 1.55  2009/03/01 12:56:00  blues
- use suggests, not stupid banners.

Revision 1.54  2008/12/13 22:07:54  krystian
- up to 3.0.4
- locale_names.patch not needed (no locale not in sources)

Revision 1.53  2008-03-29 12:34:09  adamg
- updated to 3.0.0
- BuildRequires: python >= 1:2.5, python-pygtk-devel >= 2:2.10.0
- adapterized

Revision 1.52  2008-01-22 08:19:12  ankry
- 2.2.10, builds, not tested

Revision 1.51  2007-11-30 19:23:11  qboosh
- BR: intltool
- cleanup (rarian-compat P: scrollkeeper)

Revision 1.50  2007-11-23 20:49:34  krystian
- up to 2.2.9

Revision 1.49  2007/06/01 22:21:01  krystian
- up to 2.2.8

Revision 1.48  2007/05/13 18:32:04  krystian
- up to 2.2.7 - a bug fix release.

Revision 1.47  2007/03/09 00:17:59  krystian
- up to 2.2.6

Revision 1.46  2007/02/13 07:16:47  glen
- tabs in preamble

Revision 1.45  2007/02/12 00:48:54  baggins
- converted to UTF-8

Revision 1.44  2007/01/07 21:44:13  blues
- URL fixed

Revision 1.43  2007/01/07 21:08:44  krystian
- added --with-gnome to %find_lang

Revision 1.42  2006/12/31 22:06:17  krystian
- up to 2.2.4

Revision 1.41  2006/12/31 21:04:04  krystian
- cleanup, release 1

Revision 1.40  2006/12/26 21:55:32  krystian
- added --disable-scrollkeeper in %configure (thanks MB)

Revision 1.39  2006/12/11 23:53:52  krystian
- up to 2.2.3

Revision 1.38  2006/08/10 20:16:33  krystian
- rm no locale

Revision 1.37  2006/08/10 19:37:16  krystian
- up to 2.0.11
- no need gramps-locale_names.patch

Revision 1.36  2006/07/29 19:20:36  krystian
- changed icon path

Revision 1.35  2006/05/11 15:54:48  qboosh
- mark fr manuals with lang()

Revision 1.34  2006/05/02 06:51:54  krystian
up to 2.0.10

Revision 1.33  2006/02/19 10:38:11  krystian
fixed %files

Revision 1.32  2006/02/19 10:31:38  krystian
without .py doesn't work reports

Revision 1.31  2006/02/18 16:49:59  krystian
up to 2.0.9

Revision 1.30  2005/12/03 14:57:40  freetz
- fixed BR/R, removed not needed files, banner support, run scrollkeeper
  in post/postun, massive %%files cleanup, call .pyc instead .py in startup
  script, pass 'packager friendly' options to configure, rel.2

Revision 1.29  2005/11/03 20:08:22  krystian
- up to 2.0.8

Revision 1.28  2005/03/28 10:17:22  adamg
- updated to 1.0.11

Revision 1.27  2005/02/06 14:41:22  adamg
- release 2 (fixed -locale_names.patch)

Revision 1.26  2005/02/06 11:51:43  adamg
- updated to 1.0.10

Revision 1.25  2005/01/09 19:16:49  yogib
- updated to 1.0.8, removed BR: desktop-file-utils

Revision 1.24  2004/12/03 14:43:55  paladine
- real Categories fix, rel 5, STBR

Revision 1.23  2004/12/03 13:25:51  paladine
- added desktop patch, rel 4, STBR

Revision 1.22  2004/11/14 21:47:05  havner
- rel up for rebuild with python-pygtk

Revision 1.21  2004/09/19 21:42:42  ankry
- locale name fixes, rel. 2

Revision 1.20  2004/08/29 20:13:40  undefine
- update to 1.0.7

Revision 1.19  2004/08/12 00:39:08  havner
- rel 1

Revision 1.18  2004/07/26 08:31:58  pbern
- add (B)R python-ReportLab
- rel 0.3

Revision 1.17  2004/07/23 22:20:36  grzegol
- (B)R: python-pygtk-gtk instead of python-pygtk
- rel. 0.2

Revision 1.16  2004/07/23 08:36:11  pbern
- up to 1.0.4
- rel 0.1

Revision 1.15  2004/07/23 05:20:45  ankry
- remove unsupported no locale, rel. 2

Revision 1.14  2004/04/22 17:47:33  yogib
- updated to 1.0.3

Revision 1.13  2004/04/11 16:25:29  adamg
- works fine for me, release 1

Revision 1.12  2004/04/11 16:21:23  adamg
- BuildRequires: python-gnome-gconf, python-gnome-vfs

Revision 1.11  2004/04/11 15:40:56  adamg
- updated to 1.0.2

Revision 1.10  2004/02/21 17:57:06  yogib
- up to 1.0.1

Revision 1.9  2004/02/14 11:03:56  jareq
- upgrade to 1.0.0

Revision 1.8  2004/01/31 18:19:47  yogib
- up to 0.99

Revision 1.7  2004/01/17 22:36:41  yogib
- added BR: python-devel

Revision 1.6  2004/01/02 10:32:39  tiwek
- added missing BR

Revision 1.5  2003/12/27 19:26:44  qboosh
- more cleanups, added BRs tested by configure

Revision 1.4  2003/12/26 10:52:45  qboosh
- pl, some cleanups

Revision 1.3  2003/12/26 06:18:01  pbern
- R

Revision 1.2  2003/12/25 22:31:24  pbern
- add miss md5

Revision 1.1  2003/12/25 22:28:51  pbern
- init
- rel 0.1
